Subject: Re: What's cooking in git.git (Nov 2009, #04; Tue, 17)

From: Johannes Sixt <[email-masked]>
Date: Wed, 18 Nov 2009 17:12:57 +0100

Nguyen Thai Ngoc Duy schrieb:
> On 11/18/09, Junio C Hamano <[email-masked]> wrote:
>>  * nd/sparse (2009-08-20) 19 commits.
>>
>>  The latest update I didn't look at very closely but I had an impression
>>  that it was touching very generic codepath that would affect non sparse
>>  cases, iow the patch looked very scary (the entire series already is).
> 
> I wonder if there is any other approach for sparse checkout? I'll see
> if I can improve it, but with a series touching unpack logic, diff
> core, .gitattributes/.gitignore, it's hard to get it right and
> obvious.

Just FYI: I run some of my installations with this series, but without
using sparse checkout to see if there are regressions. Nothing came up so
 far.

-- Hannes